Page MenuHomePhabricator

2D Fast Marching Segmentation Tool doesn't work
Closed, ResolvedPublic

Description

Only interactor/state machine related warnings are printed to the terminal:

166.58 core.mod.core.eventstatemachine WARNING: No implementation of action 'PrimaryButtonPressed' has been found.
166.70 core.mod.core.eventstatemachine WARNING: No implementation of action 'Release' has been found.

Event Timeline

kislinsk triaged this task as Normal priority.May 9 2018, 2:06 PM
kislinsk created this task.
kislinsk moved this task from Backlog to Blocking v2018.04 on the MITK (2018-04) board.
eisenman claimed this task.May 11 2018, 9:45 AM

We tested on Windows 7 and Ubuntu 15.04. 2D Fast Marching Segmentation Tool is working without any warnings.

Tested on Windows 10 (11.05). Same Warnings: No implementation of action "PrimaryButtonPressed" has been found and No implementation of action "Release" has been found.

@eisenman Did or do you work on this?

eisenman removed eisenman as the assignee of this task.May 15 2018, 11:03 AM
eisenman added a subscriber: eisenman.

@eisenman Did or do you work on this?

I tried to reproduce this issue. I can continue next community day (if it's not too late) with someone using Windows 10.

kislinsk edited projects, added MITK; removed MITK (2018-04).Nov 7 2018, 12:10 PM

The solution would be to either provide empty implementations for the actions or to find a more suitable state machine. It's not critical for the upcoming release though, as the tool still works as expected.

kislinsk closed this task as Resolved.Nov 9 2018, 12:59 PM
kislinsk assigned this task to tsvetkov.
kislinsk edited projects, added MITK (2018-04); removed MITK.